Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361817 - Shotwell doesn't accept URLs on the command line any more: this breaks the desktop file
Summary: Shotwell doesn't accept URLs on the command line any more: this breaks the de...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 21:39 UTC by James Wilkinson
Modified: 2016-08-27 20:51 UTC (History)
6 users (show)

Fixed In Version: shotwell-0.23.5-1.fc24 shotwell-0.23.5-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 13:54:18 UTC


Attachments (Terms of Use)

Description James Wilkinson 2016-07-30 21:39:12 UTC
Hello there,

It looks as though between Fedora 22 and Fedora 24, Shotwell has lost the ability to open files by URL on the command line (just passing it a filename works).

This is a problem because it breaks the .desktop file at /usr/share/applications/shotwell.desktop: in particular, the line that reads
Exec=shotwell %U
The %U is documented as being "multiple URLs" at https://developer.gnome.org/integration-guide/stable/desktop-files.html.en#commandline

If I change the line to
Exec=shotwell %F
I can open a picture in Shotwell from GNOME Files (choose the file, right-click, Open With Other Application, choose Shotwell). And yes, my wife does use that functionality!

With the .desktop file as provided, I just get launched into the Shotwell main menu, with no hint as to how to import the picture.

Not sure whether you want to take this as a Shotwell bug, a .desktop file bug, or if there's some GNOME library I haven't installed that allows opening by URL (but then it seems to work for other applications...)

Thanks for all the work you do in Fedora!

Comment 1 Thomas Moschny 2016-08-14 08:28:04 UTC
I think this is a side-effect of bug 1361903, causing both shotwell desktop files to be identical.

Comment 2 Fedora Update System 2016-08-18 14:51:34 UTC
shotwell-0.23.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d520993a98

Comment 3 Fedora Update System 2016-08-18 14:51:46 UTC
shotwell-0.23.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c464dca50d

Comment 4 Fedora Update System 2016-08-19 00:23:17 UTC
shotwell-0.23.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d520993a98

Comment 5 Fedora Update System 2016-08-19 00:58:57 UTC
shotwell-0.23.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c464dca50d

Comment 6 James Wilkinson 2016-08-20 18:37:13 UTC
shotwell-0.23.5-1.fc24 does not fix this bug: sorry!

Comment 7 Thomas Moschny 2016-08-20 18:57:29 UTC
Here it works. In "Open With Other Application" you have to select "Shotwell Viewer" instead of "Shotwell". This should even be under "Recommended Applications".

Comment 8 Marco Driusso 2016-08-22 16:19:37 UTC
Works also here.

Comment 9 Fedora Update System 2016-08-25 13:54:10 UTC
shotwell-0.23.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-27 20:50:55 UTC
shotwell-0.23.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.